;InnoSetupVersion=4.2.2

[Setup]
AppName=QuickTime Alternative
AppVerName=QuickTime Alternative 1.33
AppId=QuicktimeAlt
AppVersion=1.33
DefaultDirName={pf}\QuickTime Alternative
DefaultGroupName=QuickTime Alternative
UninstallDisplayIcon={app}\quicktime.ico
UninstallDisplayName=QuickTime Alternative 1.33
OutputBaseFilename=quicktimealt133
Compression=lzma
PrivilegesRequired=poweruser
AllowNoIcons=yes
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\kl_upx.exe"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{pf}\Media Player Classic\mplayerc,1.exe"; DestDir: "{pf}\Media Player Classic"; DestName: "mplayerc.exe"; Components: mpclassic; Flags: sharedfile ignoreversion 
Source: "{pf}\Media Player Classic\mplayerc,2.exe"; DestDir: "{pf}\Media Player Classic"; DestName: "mplayerc.exe"; Components: mpclassic; Flags: sharedfile ignoreversion 
Source: "{pf}\Media Player Classic\mplayerc.ini"; DestDir: "{pf}\Media Player Classic"; Components: mpclassic; Flags: sharedfile onlyifdoesntexist 
Source: "{app}\quicktime_browser_plugin.exe"; DestDir: "{app}"; Components: qtcodec,qtbrowserplugin; 
Source: "{app}\quicktime.ico"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\qt.bat"; DestDir: "{app}"; Components: qtcodec; Flags: ignoreversion 
Source: "{app}\qt.reg"; DestDir: "{app}"; Components: qtcodec; Flags: ignoreversion 
Source: "{commonappdata}\QuickTime\QuickTime.qtp"; DestDir: "{commonappdata}\QuickTime"; Components: qtcodec; 
Source: "{sys}\QuickTime.ax"; DestDir: "{sys}"; Components: qtdirectshow; Flags: regserver ignoreversion 
Source: "{sys}\QTPlugin.ocx"; DestDir: "{sys}"; Components: qtcodec; Flags: regserver ignoreversion 
Source: "{sys}\QuickTime.qts"; DestDir: "{sys}"; Components: qtcodec; Flags: ignoreversion 
Source: "{sys}\QuickTime.cpl"; DestDir: "{sys}"; Components: qtcpl; Flags: ignoreversion 
Source: "{sys}\QuickTimeCheck.ocx"; DestDir: "{sys}"; Components: qtcodec; Flags: regserver ignoreversion 
Source: "{sys}\QuickTimeVR.qtx"; DestDir: "{sys}"; Components: qtcodec; Flags: ignoreversion 
Source: "{sys}\Indeo4.qtx"; DestDir: "{sys}"; Components: qtcodec; Flags: ignoreversion 
Source: "{sys}\IR41_QC.dll"; DestDir: "{sys}"; Components: qtcodec; Flags: ignoreversion 
Source: "{sys}\IR41_QCX.dll"; DestDir: "{sys}"; Components: qtcodec; Flags: ignoreversion 
Source: "{sys}\QuickTime\CFCharacterSetBitmaps.bitmap"; DestDir: "{sys}\QuickTime"; Components: qtcodec; Flags: ignoreversion 
Source: "{sys}\QuickTime\CFUniCharPropertyDatabase.data"; DestDir: "{sys}\QuickTime"; Components: qtcodec; Flags: ignoreversion 
Source: "{sys}\QuickTime\CFUnicodeData-B.mapping"; DestDir: "{sys}\QuickTime"; Components: qtcodec; Flags: ignoreversion 
Source: "{sys}\QuickTime\CFUnicodeData-L.mapping"; DestDir: "{sys}\QuickTime"; Components: qtcodec; Flags: ignoreversion 
Source: "{sys}\QuickTime\QuickTime3GPP.qtx"; DestDir: "{sys}\QuickTime"; Components: qtcodec; Flags: ignoreversion 
Source: "{sys}\QuickTime\QuickTimeAuthoring.qtx"; DestDir: "{sys}\QuickTime"; Components: qtcodec; Flags: ignoreversion 
Source: "{sys}\QuickTime\QuickTimeEffects.qtx"; DestDir: "{sys}\QuickTime"; Components: qtcodec; Flags: ignoreversion 
Source: "{sys}\QuickTime\QuickTimeEssentials.qtx"; DestDir: "{sys}\QuickTime"; Components: qtcodec; Flags: ignoreversion 
Source: "{sys}\QuickTime\QuickTimeImage.qtx"; DestDir: "{sys}\QuickTime"; Components: qtcodec; Flags: ignoreversion 
Source: "{sys}\QuickTime\QuickTimeInternetExtras.qtx"; DestDir: "{sys}\QuickTime"; Components: qtcodec; Flags: ignoreversion 
Source: "{sys}\QuickTime\QuickTimeMPEG.qtx"; DestDir: "{sys}\QuickTime"; Components: qtcodec; Flags: ignoreversion 
Source: "{sys}\QuickTime\QuickTimeMPEG4.qtx"; DestDir: "{sys}\QuickTime"; Components: qtcodec; Flags: ignoreversion 
Source: "{sys}\QuickTime\QuickTimeStreaming.qtx"; DestDir: "{sys}\QuickTime"; Components: qtcodec; Flags: ignoreversion 
Source: "{sys}\QuickTime\QuickTimeStreamingAuthoring.qtx"; DestDir: "{sys}\QuickTime"; Components: qtcodec; Flags: ignoreversion 
Source: "{sys}\QuickTime\QuickTimeStreamingExtras.qtx"; DestDir: "{sys}\QuickTime"; Components: qtcodec; Flags: ignoreversion 
Source: "{sys}\QuickTime\QuickTimeWebHelper.qtx"; DestDir: "{sys}\QuickTime"; Components: qtcodec; Flags: ignoreversion 
Source: "{sys}\QuickTime\IPIXSupport.qtx"; DestDir: "{sys}\QuickTime"; Components: qtplugins; 
Source: "{sys}\QuickTime\BeHereiVideo.qtx"; DestDir: "{sys}\QuickTime"; Components: qtplugins; 
Source: "{sys}\QuickTime\MicrocosmDecode.qtx"; DestDir: "{sys}\QuickTime"; Components: qtplugins; 
Source: "{sys}\QuickTime\QTPulse.qtx"; DestDir: "{sys}\QuickTime"; Components: qtplugins; 
Source: "{sys}\QuickTime\On2_VP3.qtx"; DestDir: "{sys}\QuickTime"; Components: qtplugins; 
Source: "{sys}\QuickTime\ACTLComponent.qtx"; DestDir: "{sys}\QuickTime"; Components: qtplugins; 
Source: "{sys}\QuickTime\QuickTimeAXEL.qtx"; DestDir: "{sys}\QuickTime"; Components: qtplugins; 
Source: "{sys}\QuickTime\ZoomifyHandler.qtx"; DestDir: "{sys}\QuickTime"; Components: qtplugins; 
Source: "{sys}\QuickTime\ZyGoVideo.qtx"; DestDir: "{sys}\QuickTime"; Components: qtplugins; 

[Registry]
Root: HKCU; Subkey: "SOFTWARE\Gabest\Media Player Classic"; Components: mpclassic; Flags: deletekey 
Root: HKCR; Subkey: "applications\mplayerc.exe"; Components: mpclassic; Flags: deletekey 
Root: HKLM; Subkey: "SOFTWARE\Apple Computer, Inc.\QuickTime"; Flags: uninsdeletekey 
Root: HKLM; Subkey: "SOFTWARE\Apple Computer, Inc.\QuickTime"; ValueName: "Version"; ValueType: Dword; ValueData: "$6518000"; Components: qtcodec; 
Root: HKLM; Subkey: "SOFTWARE\Apple Computer, Inc.\QuickTime\ActiveX"; ValueName: "QTTaskRunFlags"; ValueType: Dword; ValueData: "$2"; Components: qtcodec; 
Root: HKLM; Subkey: "SOFTWARE\Apple Computer, Inc.\QuickTime\ActiveX"; ValueName: "UpdateXNow"; ValueType: Dword; ValueData: "$0"; Components: qtcodec; 
Root: HKLM; Subkey: "SOFTWARE\Apple Computer, Inc.\QuickTime\ActiveX"; ValueName: "QTVersion"; ValueType: Dword; ValueData: "$6000000"; Components: qtcodec; 
Root: HKLM; Subkey: "SOFTWARE\Apple Computer, Inc.\QuickTime\SystemPreferences"; ValueName: "FolderPath"; ValueType: String; ValueData: "{commonappdata}\QuickTime\"; Components: qtcodec; 
Root: HKLM; Subkey: "SOFTWARE\Apple Computer, Inc.\QuickTime\SystemPreferences"; ValueName: "LocalUserPreferences"; ValueType: String; ValueData: "{commonappdata}\QuickTime\"; Components: qtcodec; 
Root: HKCR; Subkey: ".mov"; ValueType: String; ValueData: "movfile"; Components: qtcodec; Flags: uninsdeletekey deletekey 
Root: HKCR; Subkey: ".mov"; ValueName: "Content Type"; ValueType: String; ValueData: "video/quicktime"; Components: qtcodec; 
Root: HKCR; Subkey: "movfile"; Components: qtcodec; Flags: uninsdeletekey deletekey 
Root: HKCR; Subkey: "movfile\DefaultIcon"; ValueType: String; ValueData: "{app}\quicktime.ico"; Components: mpclassic; 
Root: HKCR; Subkey: "movfile\Shell"; ValueType: String; ValueData: "open"; Components: mpclassic; 
Root: HKCR; Subkey: "movfile\Shell\Open"; ValueType: String; Components: mpclassic; 
Root: HKCR; Subkey: "movfile\Shell\Open\Command"; ValueType: String; ValueData: """{pf}\Media Player Classic\mplayerc.exe"" ""%L"""; Components: mpclassic; 
Root: HKCR; Subkey: ".qt"; ValueType: String; ValueData: "qtfile"; Components: qtcodec; Flags: uninsdeletekey deletekey 
Root: HKCR; Subkey: ".qt"; ValueName: "Content Type"; ValueType: String; ValueData: "video/quicktime"; Components: qtcodec; 
Root: HKCR; Subkey: "qtfile"; Components: qtcodec; Flags: uninsdeletekey deletekey 
Root: HKCR; Subkey: "qtfile\DefaultIcon"; ValueType: String; ValueData: "{app}\quicktime.ico"; Components: mpclassic; 
Root: HKCR; Subkey: "qtfile\Shell"; ValueType: String; ValueData: "open"; Components: mpclassic; 
Root: HKCR; Subkey: "qtfile\Shell\Open"; ValueType: String; Components: mpclassic; 
Root: HKCR; Subkey: "qtfile\Shell\Open\Command"; ValueType: String; ValueData: """{pf}\Media Player Classic\mplayerc.exe"" ""%L"""; Components: mpclassic; 
Root: HKCR; Subkey: ".3g2"; Components: qtcodec; Flags: uninsdeletekey deletekey 
Root: HKCR; Subkey: ".3g2"; ValueName: "Content Type"; ValueType: String; ValueData: "video/3gpp"; Components: qtcodec; 
Root: HKCR; Subkey: ".3g2\DefaultIcon"; ValueType: String; ValueData: "{app}\quicktime.ico"; Components: mpclassic; 
Root: HKCR; Subkey: ".3g2\Shell"; ValueType: String; ValueData: "open"; Components: mpclassic; 
Root: HKCR; Subkey: ".3g2\Shell\Open"; ValueType: String; Components: mpclassic; 
Root: HKCR; Subkey: ".3g2\Shell\Open\Command"; ValueType: String; ValueData: """{pf}\Media Player Classic\mplayerc.exe"" ""%L"""; Components: mpclassic; 
Root: HKCR; Subkey: ".3gp"; Components: qtcodec; Flags: uninsdeletekey deletekey 
Root: HKCR; Subkey: ".3gp"; ValueName: "Content Type"; ValueType: String; ValueData: "video/3gpp"; Components: qtcodec; 
Root: HKCR; Subkey: ".3gp\DefaultIcon"; ValueType: String; ValueData: "{app}\quicktime.ico"; Components: mpclassic; 
Root: HKCR; Subkey: ".3gp\Shell"; ValueType: String; ValueData: "open"; Components: mpclassic; 
Root: HKCR; Subkey: ".3gp\Shell\Open"; ValueType: String; Components: mpclassic; 
Root: HKCR; Subkey: ".3gp\Shell\Open\Command"; ValueType: String; ValueData: """{pf}\Media Player Classic\mplayerc.exe"" ""%L"""; Components: mpclassic; 
Root: HKCR; Subkey: ".3gp2"; Components: qtcodec; Flags: uninsdeletekey deletekey 
Root: HKCR; Subkey: ".3gp2"; ValueName: "Content Type"; ValueType: String; ValueData: "video/3gpp"; Components: qtcodec; 
Root: HKCR; Subkey: ".3gp2\DefaultIcon"; ValueType: String; ValueData: "{app}\quicktime.ico"; Components: mpclassic; 
Root: HKCR; Subkey: ".3gp2\Shell"; ValueType: String; ValueData: "open"; Components: mpclassic; 
Root: HKCR; Subkey: ".3gp2\Shell\Open"; ValueType: String; Components: mpclassic; 
Root: HKCR; Subkey: ".3gp2\Shell\Open\Command"; ValueType: String; ValueData: """{pf}\Media Player Classic\mplayerc.exe"" ""%L"""; Components: mpclassic; 
Root: HKCR; Subkey: ".3gpp"; Components: qtcodec; Flags: uninsdeletekey deletekey 
Root: HKCR; Subkey: ".3gpp"; ValueName: "Content Type"; ValueType: String; ValueData: "video/3gpp"; Components: qtcodec; 
Root: HKCR; Subkey: ".3gpp\DefaultIcon"; ValueType: String; ValueData: "{app}\quicktime.ico"; Components: mpclassic; 
Root: HKCR; Subkey: ".3gpp\Shell"; ValueType: String; ValueData: "open"; Components: mpclassic; 
Root: HKCR; Subkey: ".3gpp\Shell\Open"; ValueType: String; Components: mpclassic; 
Root: HKCR; Subkey: ".3gpp\Shell\Open\Command"; ValueType: String; ValueData: """{pf}\Media Player Classic\mplayerc.exe"" ""%L"""; Components: mpclassic; 
Root: HKCR; Subkey: ".mp4"; ValueType: String; ValueData: "QuickTime.mp4"; Components: qtcodec; Flags: uninsdeletekey 
Root: HKCR; Subkey: ".mp4"; ValueName: "Content Type"; ValueType: String; ValueData: "video/mp4"; Components: qtcodec; 
Root: HKCR; Subkey: ".mpg4"; ValueType: String; ValueData: "QuickTime.mpg4"; Components: qtcodec; Flags: uninsdeletekey 
Root: HKCR; Subkey: ".mpg4"; ValueName: "Content Type"; ValueType: String; ValueData: "video/mp4"; Components: qtcodec; 
Root: HKCR; Subkey: "MIME\Database\Content Type\application/sdp"; Components: qtcodec; Flags: uninsdeletekey 
Root: HKCR; Subkey: "MIME\Database\Content Type\application/sdp"; ValueName: "Extension"; ValueType: String; ValueData: ".sdp"; Components: qtcodec; 
Root: HKCR; Subkey: "MIME\Database\Content Type\application/sdp"; ValueName: "CLSID"; ValueType: String; ValueData: "{{02BF25D5-8C17-4B23-BC80-D3488ABDDC6B}"; Components: qtcodec; 
Root: HKCR; Subkey: "MIME\Database\Content Type\application/x-sdp"; Components: qtcodec; Flags: uninsdeletekey 
Root: HKCR; Subkey: "MIME\Database\Content Type\application/x-sdp"; ValueName: "Extension"; ValueType: String; ValueData: ".sdp"; Components: qtcodec; 
Root: HKCR; Subkey: "MIME\Database\Content Type\application/x-sdp"; ValueName: "CLSID"; ValueType: String; ValueData: "{{02BF25D5-8C17-4B23-BC80-D3488ABDDC6B}"; Components: qtcodec; 
Root: HKCR; Subkey: "MIME\Database\Content Type\application/x-rtsp"; Components: qtcodec; Flags: uninsdeletekey 
Root: HKCR; Subkey: "MIME\Database\Content Type\application/x-rtsp"; ValueName: "Extension"; ValueType: String; ValueData: ".rtsp"; Components: qtcodec; 
Root: HKCR; Subkey: "MIME\Database\Content Type\application/x-rtsp"; ValueName: "CLSID"; ValueType: String; ValueData: "{{02BF25D5-8C17-4B23-BC80-D3488ABDDC6B}"; Components: qtcodec; 
Root: HKCR; Subkey: "MIME\Database\Content Type\audio/3gpp"; Components: qtcodec; Flags: uninsdeletekey 
Root: HKCR; Subkey: "MIME\Database\Content Type\audio/3gpp"; ValueName: "Extension"; ValueType: String; ValueData: ".3gp"; Components: qtcodec; 
Root: HKCR; Subkey: "MIME\Database\Content Type\audio/3gpp"; ValueName: "CLSID"; ValueType: String; ValueData: "{{02BF25D5-8C17-4B23-BC80-D3488ABDDC6B}"; Components: qtcodec; 
Root: HKCR; Subkey: "MIME\Database\Content Type\audio/3gpp2"; Components: qtcodec; Flags: uninsdeletekey 
Root: HKCR; Subkey: "MIME\Database\Content Type\audio/3gpp2"; ValueName: "Extension"; ValueType: String; ValueData: ".3g2"; Components: qtcodec; 
Root: HKCR; Subkey: "MIME\Database\Content Type\audio/3gpp2"; ValueName: "CLSID"; ValueType: String; ValueData: "{{02BF25D5-8C17-4B23-BC80-D3488ABDDC6B}"; Components: qtcodec; 
Root: HKCR; Subkey: "MIME\Database\Content Type\audio/mp4"; Components: qtcodec; Flags: uninsdeletekey 
Root: HKCR; Subkey: "MIME\Database\Content Type\audio/mp4"; ValueName: "CLSID"; ValueType: String; ValueData: "{{02BF25D5-8C17-4B23-BC80-D3488ABDDC6B}"; Components: qtcodec; 
Root: HKCR; Subkey: "MIME\Database\Content Type\video/3gpp"; Components: qtcodec; Flags: uninsdeletekey 
Root: HKCR; Subkey: "MIME\Database\Content Type\video/3gpp"; ValueName: "Extension"; ValueType: String; ValueData: ".3gp"; Components: qtcodec; 
Root: HKCR; Subkey: "MIME\Database\Content Type\video/3gpp"; ValueName: "CLSID"; ValueType: String; ValueData: "{{02BF25D5-8C17-4B23-BC80-D3488ABDDC6B}"; Components: qtcodec; 
Root: HKCR; Subkey: "MIME\Database\Content Type\video/3gpp2"; Components: qtcodec; Flags: uninsdeletekey 
Root: HKCR; Subkey: "MIME\Database\Content Type\video/3gpp2"; ValueName: "Extension"; ValueType: String; ValueData: ".3g2"; Components: qtcodec; 
Root: HKCR; Subkey: "MIME\Database\Content Type\video/3gpp2"; ValueName: "CLSID"; ValueType: String; ValueData: "{{02BF25D5-8C17-4B23-BC80-D3488ABDDC6B}"; Components: qtcodec; 
Root: HKCR; Subkey: "MIME\Database\Content Type\video/mp4"; Components: qtcodec; Flags: uninsdeletekey 
Root: HKCR; Subkey: "MIME\Database\Content Type\video/mp4"; ValueName: "CLSID"; ValueType: String; ValueData: "{{02BF25D5-8C17-4B23-BC80-D3488ABDDC6B}"; Components: qtcodec; 
Root: HKCR; Subkey: "MIME\Database\Content Type\video/quicktime"; Components: qtcodec; Flags: uninsdeletekey 
Root: HKCR; Subkey: "MIME\Database\Content Type\video/quicktime"; ValueName: "Extension"; ValueType: String; ValueData: ".mov"; Components: qtcodec; 
Root: HKCR; Subkey: "MIME\Database\Content Type\video/quicktime"; ValueName: "CLSID"; ValueType: String; ValueData: "{{02BF25D5-8C17-4B23-BC80-D3488ABDDC6B}"; Components: qtcodec; 
Root: HKLM; Subkey: "SOFTWARE\Apple Computer, Inc.\QuickTime\ActiveX\Installed MIME Types"; ValueName: "video/quicktime"; ValueType: String; ValueData: "mov,qt"; Components: qtcodec; 
Root: HKLM; Subkey: "SOFTWARE\Apple Computer, Inc.\QuickTime\ActiveX\Installed MIME Types"; ValueName: "application/sdp"; ValueType: String; ValueData: "sdp"; Components: qtcodec; 
Root: HKLM; Subkey: "SOFTWARE\Apple Computer, Inc.\QuickTime\ActiveX\Installed MIME Types"; ValueName: "application/x-sdp"; ValueType: String; ValueData: "sdp"; Components: qtcodec; 
Root: HKLM; Subkey: "SOFTWARE\Apple Computer, Inc.\QuickTime\ActiveX\Installed MIME Types"; ValueName: "application/x-rtsp"; ValueType: String; ValueData: "rtsp,rts"; Components: qtcodec; 
Root: HKLM; Subkey: "SOFTWARE\Apple Computer, Inc.\QuickTime\ActiveX\Installed MIME Types"; ValueName: "video/3gpp"; ValueType: String; ValueData: "3gp,3gpp"; Components: qtcodec; 
Root: HKLM; Subkey: "SOFTWARE\Apple Computer, Inc.\QuickTime\ActiveX\Installed MIME Types"; ValueName: "audio/3gpp"; ValueType: String; ValueData: "3gp,3gpp"; Components: qtcodec; 
Root: HKLM; Subkey: "SOFTWARE\Apple Computer, Inc.\QuickTime\ActiveX\Installed MIME Types"; ValueName: "video/3gpp2"; ValueType: String; ValueData: "3g2,3gp2"; Components: qtcodec; 
Root: HKLM; Subkey: "SOFTWARE\Apple Computer, Inc.\QuickTime\ActiveX\Installed MIME Types"; ValueName: "audio/3gpp2"; ValueType: String; ValueData: "3g2,3gp2"; Components: qtcodec; 
Root: HKLM; Subkey: "SOFTWARE\Apple Computer, Inc.\QuickTime\ActiveX\Installed MIME Types"; ValueName: "application/smil"; ValueType: String; ValueData: "smi,sml,smil"; Components: qtcodec; 
Root: HKLM; Subkey: "SOFTWARE\Apple Computer, Inc.\QuickTime\ActiveX\Installed MIME Types"; ValueName: "audio/mp4"; ValueType: String; ValueData: "mp4,mpg4"; Components: qtcodec; 
Root: HKLM; Subkey: "SOFTWARE\Apple Computer, Inc.\QuickTime\ActiveX\Installed MIME Types"; ValueName: "video/mp4"; ValueType: String; ValueData: "mp4,mpg4"; Components: qtcodec; 
Root: HKLM; Subkey: "SOFTWARE\Apple Computer, Inc.\QuickTime\Installed MIME Types"; ValueName: "video/quicktime"; ValueType: String; ValueData: "mov,qt"; Components: qtcodec; 
Root: HKLM; Subkey: "SOFTWARE\Apple Computer, Inc.\QuickTime\Installed MIME Types"; ValueName: "application/sdp"; ValueType: String; ValueData: "sdp"; Components: qtcodec; 
Root: HKLM; Subkey: "SOFTWARE\Apple Computer, Inc.\QuickTime\Installed MIME Types"; ValueName: "application/x-sdp"; ValueType: String; ValueData: "sdp"; Components: qtcodec; 
Root: HKLM; Subkey: "SOFTWARE\Apple Computer, Inc.\QuickTime\Installed MIME Types"; ValueName: "application/x-rtsp"; ValueType: String; ValueData: "rtsp,rts"; Components: qtcodec; 
Root: HKLM; Subkey: "SOFTWARE\Apple Computer, Inc.\QuickTime\Installed MIME Types"; ValueName: "video/3gpp"; ValueType: String; ValueData: "3gp,3gpp"; Components: qtcodec; 
Root: HKLM; Subkey: "SOFTWARE\Apple Computer, Inc.\QuickTime\Installed MIME Types"; ValueName: "audio/3gpp"; ValueType: String; ValueData: "3gp,3gpp"; Components: qtcodec; 
Root: HKLM; Subkey: "SOFTWARE\Apple Computer, Inc.\QuickTime\Installed MIME Types"; ValueName: "video/3gpp2"; ValueType: String; ValueData: "3g2,3gp2"; Components: qtcodec; 
Root: HKLM; Subkey: "SOFTWARE\Apple Computer, Inc.\QuickTime\Installed MIME Types"; ValueName: "audio/3gpp2"; ValueType: String; ValueData: "3g2,3gp2"; Components: qtcodec; 
Root: HKLM; Subkey: "SOFTWARE\Apple Computer, Inc.\QuickTime\Installed MIME Types"; ValueName: "video/mp4"; ValueType: String; ValueData: "mp4,mpg4"; Components: qtcodec; 
Root: HKLM; Subkey: "SOFTWARE\Apple Computer, Inc.\QuickTime\Installed MIME Types"; ValueName: "audio/mp4"; ValueType: String; ValueData: "mp4,mpg4"; Components: qtcodec; 
Root: HKLM; Subkey: "SOFTWARE\Apple Computer, Inc.\QuickTime\Installed Plugins"; ValueName: "DeferredMutexName"; ValueType: String; ValueData: "QTMLDeferredPluginUpdateMutex"; Components: qtbrowserplugin; 
Root: HKLM; Subkey: "SOFTWARE\Apple Computer, Inc.\QuickTime\Installed Plugins"; ValueName: "Names"; ValueType: String; ValueData: "npqtplugin.dll||npqtplugin2.dll||npqtplugin3.dll||npqtplugin4.dll||npqtplugin5.dll||npqtplugin6.dll||npqtplugin7"; Components: qtbrowserplugin; 
Root: HKLM; Subkey: "SOFTWARE\Apple Computer, Inc.\QuickTime\Installed Files\On2_VP3.qtx"; ValueName: "Full Path"; ValueType: String; ValueData: "{sys}\QuickTime\On2_VP3.qtx"; Components: qtplugins; 
Root: HKLM; Subkey: "SOFTWARE\Apple Computer, Inc.\QuickTime\Installed Files\QTPulse.qtx"; ValueName: "Full Path"; ValueType: String; ValueData: "{sys}\QuickTime\QTPulse.qtx"; Components: qtplugins; 
Root: HKLM; Subkey: "SOFTWARE\Apple Computer, Inc.\QuickTime\Installed Files\QuickTime.qts"; ValueName: "Full Path"; ValueType: String; ValueData: "{sys}\QuickTime.qts"; Components: qtcodec; 
Root: HKLM; Subkey: "SOFTWARE\Apple Computer, Inc.\QuickTime\Installed Files\QuickTimeVR.qtx"; ValueName: "Full Path"; ValueType: String; ValueData: "{sys}\QuickTimeVR.qtx"; Components: qtplugins; 
Root: HKLM; Subkey: "SOFTWARE\Apple Computer, Inc.\QuickTime\Installed Files\QuickTimeWebHelper.qtx"; ValueName: "Full Path"; ValueType: String; ValueData: "{sys}\QuickTime\QuickTimeWebHelper.qtx"; Components: qtcodec; 
Root: HKLM; Subkey: "SOFTWARE\Apple Computer, Inc.\QuickTime\Installed Files\BeHereiVideo.qtx"; ValueName: "Full Path"; ValueType: String; ValueData: "{sys}\QuickTime\BeHereiVideo.qtx"; Components: qtplugins; 
Root: HKLM; Subkey: "SOFTWARE\Apple Computer, Inc.\QuickTime\Installed Files\MicrocosmDecode.qtx"; ValueName: "Full Path"; ValueType: String; ValueData: "{sys}\QuickTime\MicrocosmDecode.qtx"; Components: qtplugins; 
Root: HKLM; Subkey: "SOFTWARE\Apple Computer, Inc.\QuickTime\Installed Files\IPIXSupport.qtx"; ValueName: "Full Path"; ValueType: String; ValueData: "{sys}\QuickTime\IPIXSupport.qtx"; Components: qtplugins; 
Root: HKLM; Subkey: "SOFTWARE\Apple Computer, Inc.\QuickTime\Installed Files\ACTLComponent.qtx"; ValueName: "Full Path"; ValueType: String; ValueData: "{sys}\QuickTime\ACTLComponent.qtx"; Components: qtplugins; 
Root: HKLM; Subkey: "SOFTWARE\Apple Computer, Inc.\QuickTime\Installed Files\QTPlugin.ocx"; ValueName: "Full Path"; ValueType: String; ValueData: "{sys}\QTPlugin.ocx"; Components: qtcodec; 
Root: HKLM; Subkey: "SOFTWARE\Apple Computer, Inc.\QuickTime\Installed Files\QuickTimeAXEL.qtx"; ValueName: "Full Path"; ValueType: String; ValueData: "{sys}\QuickTime\QuickTimeAXEL.qtx"; Components: qtplugins; 
Root: HKLM; Subkey: "SOFTWARE\Apple Computer, Inc.\QuickTime\Installed Files\QuickTimeCheck.OCX"; ValueName: "Full Path"; ValueType: String; ValueData: "{sys}\QuickTimeCheck.OCX"; Components: qtcodec; 
Root: HKLM; Subkey: "SOFTWARE\Apple Computer, Inc.\QuickTime\Installed Files\ZoomifyHandler.qtx"; ValueName: "Full Path"; ValueType: String; ValueData: "{sys}\QuickTime\ZoomifyHandler.qtx"; Components: qtplugins; 
Root: HKLM; Subkey: "SOFTWARE\Apple Computer, Inc.\QuickTime\Installed Files\ZyGoVideo.qtx"; ValueName: "Full Path"; ValueType: String; ValueData: "{sys}\QuickTime\ZyGoVideo.qtx"; Components: qtplugins; 

[Run]
Filename: "{app}\qt.bat"; Components: qtcodec; 
Filename: "{app}\kl_upx.exe"; Parameters: "-9 ""{pf}\Media Player Classic\mplayerc.exe"""; StatusMsg: "Compressing: Media Player Classic"; Components: mpclassic; 
Filename: "{app}\quicktime_browser_plugin.exe"; Components: qtbrowserplugin; 
Filename: "{sys}\control.exe"; Parameters: "quicktime.cpl"; Description: "Configure settings for Quicktime"; Components: qtcpl; Flags: postinstall unchecked skipifsilent 
Filename: "{win}\control.exe"; Parameters: "{sys}\quicktime.cpl"; Description: "Configure settings for Quicktime"; Components: qtcpl; Flags: postinstall unchecked skipifsilent 

[Icons]
Name: "{group}\Media Player Classic"; Filename: "{pf}\Media Player Classic\mplayerc.exe"; Components: mpclassic; 
Name: "{commondesktop}\Media Player Classic"; Filename: "{pf}\Media Player Classic\mplayerc.exe"; WorkingDir: "{pf}\Media Player Classic"; Components: mpclassic; Tasks: mpcdesktopicon; 
Name: "{userappdata}\Microsoft\Internet Explorer\Quick Launch\Media Player Classic"; Filename: "{pf}\Media Player Classic\mplayerc.exe"; WorkingDir: "{pf}\Media Player Classic\"; Components: mpclassic; Tasks: mpcquicklaunchicon; 
Name: "{group}\QuickTime Settings"; Filename: "{sys}\control.exe"; Parameters: "quicktime.cpl"; IconFilename: "{sys}\quicktime.cpl"; Components: qtcpl; 
Name: "{group}\QuickTime Settings"; Filename: "{win}\control.exe"; Parameters: "{sys}\quicktime.cpl"; IconFilename: "{sys}\quicktime.cpl"; Components: qtcpl; 
Name: "{group}\Uninstall"; Filename: "{uninstallexe}"; 

[Tasks]
Name: "mpcdesktopicon"; Description: "Create desktop icon for 'Media Player Classic'"; GroupDescription: "Desktop Icons:"; Components: "mpclassic"; 
Name: "mpcquicklaunchicon"; Description: "Create QuickLaunch icon for 'Media Player Classic'"; GroupDescription: "QuickLaunch Icons:"; Components: "mpclassic"; 

[Components]
Name: "horline"; Description: "  > Player:"; 
Name: "mpclassic"; Description: "Media Player Classic [version 6.4.8.2]"; Types: "normal"; 
Name: "horline"; Description: "  > Codecs:"; 
Name: "qtcodec"; Description: "QuickTime codecs [version 6.5.1.17]"; Types: "normal"; 
Name: "qtdirectshow"; Description: "QuickTime DirectShow filter"; Types: "normal"; 
Name: "qtplugins"; Description: "Extra QuickTime plugins"; Types: "normal"; 
Name: "horline"; Description: "  > Configuration:"; 
Name: "qtcpl"; Description: "QuickTime Control Panel"; Types: "normal"; 
Name: "horline"; Description: "  > Browser plugin:"; 
Name: "qtbrowserplugin"; Description: "QuickTime plugin for Opera/Mozilla/Netscape [version 6.5.1.17]"; 

[UninstallDelete]
Type: files; Name: "{pf}\QuickTime\qt.bat"; 
Type: files; Name: "{sys}\qtplugin.log"; 
Type: files; Name: "{commonappdata}\QuickTime\QuickTime.qtp"; 
Type: dirifempty; Name: "{commonappdata}\QuickTime"; 
Type: dirifempty; Name: "{sys}\QuickTime"; 
Type: dirifempty; Name: "{pf}\QuickTime"; 

[Types]
Name: "normal"; Description: "Normal"; 

[CustomMessages]
en.NameAndVersion=%1 version %2
en.AdditionalIcons=Additional icons:
en.CreateDesktopIcon=Create a &desktop icon
en.CreateQuickLaunchIcon=Create a &Quick Launch icon
en.ProgramOnTheWeb=%1 on the Web
en.UninstallProgram=Uninstall %1
en.LaunchProgram=Launch %1
en.AssocFileExtension=&Associate %1 with the %2 file extension
en.AssocingFileExtension=Associating %1 with the %2 file extension...

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "en"; MessagesFile: "embedded\en.isl"; 
